import { DataEntity, ItemFields, MappedStorableItem } from '../data-entity';
import { ExtraDataStore } from './extra-data-store';
export default class LightDataStore<TClient extends DataEntity> implements ExtraDataStore<TClient> {
    private readonly itemsByLoadedFields;
    private static FULL_FIELD;
    constructor();
    isFull(item: TClient): boolean;
    has(item: TClient, fields: ItemFields): boolean;
    set(item: MappedStorableItem<TClient>, fields?: ItemFields): void;
    setMany(items: MappedStorableItem<TClient>[], fields?: ItemFields): void;
    remove(itemId: number): void;
    private setField;
}
